Flash in Fedora?

#1

Hi All,

Fedora 29, SIXTY FOUR bit
Brave Version 0.61.52 Chromium: 73.0.3683.86 (Official Build) (64-bit)

Goggle is giving me too many conflicting hits on installing Flash in Brave. Would someone please point me to the proper How To for my version of Brave and Fedora 29?

Many thanks,
-T

#2

I do have the following installed, but Brave does not seem to pick it up:

ls -al /usr/lib64/chromium-browser/PepperFlash/

total 18328
drwxr-xr-x. 2 root root 4096 Apr 5 14:25 .
drwxr-xr-x. 7 root root 36864 Dec 5 11:23 …
-rw-r–r--. 1 root root 18715584 Dec 5 11:23 libpepflashplayer.so
-rw-r–r--. 1 root root 2222 Dec 5 11:23 manifest.json

#3

@ToddAndMargo,
Can you tell or show me what you see when you go to a site that requires flash?

#4

I see a puzzle piece and “This plugin is not supported”.

This is the web site:
https://login.trustwave.com/portal-core/home

#5

Tested this on Windows and macOS (I know you’re using Fedora – testing this next) and I’m able to allow flash and access the website without issue. Can you show me what you see on your end? A screenshot or short screen recording would be helpful if possible.

#6

No puzzle piece:

#7

If is helps the troubleshooting, this web site does not work in chromium-73.0.3683.75-2.fc29.x86_64 either

#8

Does this help (flash disables)?

chrome://version/

Brave 0.61.52 Chromium: 73.0.3683.86 (Official Build) (64-bit)
Revision f9b0bec6063ea50ce2b71f5b9abbae7beee319a6-refs/branch-heads/3683@{#858}
OS Linux
JavaScript V8 7.3.492.25
Flash (Disabled)
#9

Found a workaround:

$ brave-browser --ppapi-flash-path=/usr/lib64/chromium-browser/PepperFlash/libpepflashplayer.so --ppapi-flash-version=32.0.0.114 --password-store=basic %U

Sound like this bug:
https://github.com/brave/brave-browser/issues/1562

#10

you don’t actually need the “–ppapi-flash-version=32.0.0.114”